//----- Dragon's Back Spine & under Belly
//
//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//

//--- Back Spine Section
#declare Dot3 =
union {
  sphere { 0, 1 scale <1, 1, 0.6> translate z*0.4 }
  sphere { 0, 1 scale <1, 1, 0.6> translate z*-0.4 }
  sphere { 0, 1 scale <1, 0.4, 1.2> }
}

//--- Modified Back Spine Texture
#declare Dot2 =
union {
  sphere { 0, 1 scale <1, 1, 0.6> translate z*0.4 }
  sphere { 0, 1 scale <1, 1, 0.6> translate z*-0.4 }
  sphere { 0, 1 scale <0.4, 0.4, 1.2> }
}

//--- Dragon's Spine
#declare Back =
union {
  object { Dot3 texture { BackTexture } translate <-80, 16, 0> }
  object { Dot3 texture { BackTexture } scale 1.13333 translate <-79.15874, 13.94778, 0> }
  object { Dot3 texture { BackTexture } scale 1.26667 translate <-78.10757, 11.99473, 0> }
  object { Dot3 texture { BackTexture } scale 1.4 translate <-76.85801, 10.16226, 0> }
  object { Dot3 texture { BackTexture } scale 1.53333 translate <-75.42375, 8.47045, 0> }
  object { Dot3 texture { BackTexture } scale 1.66667 translate <-73.82051, 6.93782, 0> }
  object { Dot3 texture { BackTexture } scale 1.8 translate <-72.06584, 5.58118, 0> }
  object { Dot3 texture { BackTexture } scale 1.93333 translate <-70.17899, 4.41537, 0> }
  object { Dot3 texture { BackTexture } scale 2.06667 translate <-68.1806, 3.45319, 0> }
  object { Dot3 texture { BackTexture } scale 2.2 translate <-66.09259, 2.70516, 0> }
  object { Dot3 texture { BackTexture } scale 2.33333 translate <-63.93782, 2.17949, 0> }
  object { Dot3 texture { BackTexture } scale 2.46667 translate <-61.73991, 1.88193, 0> }
  object { Dot3 texture { BackTexture } scale 2.6 translate <-59.52295, 1.81575, 0> }
  object { Dot3 texture { BackTexture } scale 2.73333 translate <-57.3112, 1.98167, 0> }
  object { Dot3 texture { BackTexture } scale 2.86667 translate <-55.12892, 2.37786, 0> }
  object { Dot3 texture { BackTexture } scale 3 translate <-53, 3, 0> }
  object { Dot3 texture { BackTexture } scale 3.2 translate <-49.79794, 4.04941, 0> }
  object { Dot3 texture { BackTexture } scale 3.4 translate <-46.63132, 5.20132, 0> }
  object { Dot3 texture { BackTexture } scale 3.6 translate <-43.50341, 6.45454, 0> }
  object { Dot3 texture { BackTexture } scale 3.8 translate <-40.41746, 7.80776, 0> }
  object { Dot3 texture { BackTexture } scale 4 translate <-37.37664, 9.2596, 0> }
  object { Dot3 texture { BackTexture } scale 4.2 translate <-34.38413, 10.80854, 0> }
  object { Dot3 texture { BackTexture } scale 4.4 translate <-31.44301, 12.45298, 0> }
  object { Dot3 texture { BackTexture } scale 4.6 translate <-28.55634, 14.19122, 0> }
  object { Dot3 texture { BackTexture } scale 4.8 translate <-25.72709, 16.02145, 0> }
  object { Dot3 texture { BackTexture } scale 5 translate <-22.95822, 17.94178, 0> }
  object { Dot3 texture { BackTexture } scale 5.625 translate <-19.13515, 19.52561, 0> }
  object { Dot3 texture { BackTexture } scale 6.25 translate <-15.17472, 20.72532, 0> }
  object { Dot3 texture { BackTexture } scale 6.875 translate <-11.1154, 21.52925, 0> }
  object { Dot3 texture { BackTexture } scale 7.5 translate <-6.99665, 21.92958, 0> }
  object { Dot3 texture { BackTexture } scale 7.2 translate <-3.95992, 21.9642, 0> }
  object { Dot3 texture { BackTexture } scale 6.9 translate <-0.92863, 21.77918, 0> }
  object { Dot3 texture { BackTexture } scale 6.6 translate <2.08134, 21.37549, 0> }
  object { Dot3 texture { BackTexture } scale 6.3 translate <5.05425, 20.75522, 0> }
  object { Dot2 texture { BackTexture } scale 6 translate <7.97453, 19.92164, 0> }
  object { Dot2 texture { BackTexture } scale 5.6875 translate <11.22869, 19.86786, 0> }
  object { Dot2 texture { BackTexture } scale 5.375 translate <14.46054, 20.25188, 0> }
  object { Dot2 texture { BackTexture } scale 5.0625 translate <17.61147, 21.06672, 0> }
  object { Dot2 texture { BackTexture } scale 4.75 translate <20.62432, 22.29762, 0> }
  object { Dot2 texture { BackTexture } scale 4.4375 translate <23.44443, 23.92222, 0> }
  object { Dot2 texture { BackTexture } scale 4.125 translate <26.02063, 25.91108, 0> }
  object { Dot2 texture { BackTexture } scale 3.8125 translate <28.30619, 28.22809, 0> }
  object { Dot2 texture { BackTexture } scale 3.5 translate <30.25965, 30.83124, 0> }
  object { Dot2 texture { BackTexture } scale 3.375 translate <32.15255, 32.72622, 0> }
  object { Dot2 texture { BackTexture } scale 3.25 translate <34.28677, 34.34458, 0> }
  object { Dot2 texture { BackTexture } scale 3.125 translate <36.62224, 35.65592, 0> }
  object { Dot2 texture { BackTexture } scale 3 translate <39.11507, 36.63562, 0> }
  bounded_by { sphere { 0, 71.745147 translate <-19.442465, 19.425685, 0> } }
}

//--- Dragon Gutt
#declare Belly =
union {
  sphere { 0, 1 scale <15, 9, 8> translate <-4, 18, 0> }
  sphere { 0, 1 scale <9, 6, 4> rotate z*30 translate <14, 19, 2> }
  sphere { 0, 1 scale <9, 6, 4> rotate z*30 translate <14, 19, -2> }
  texture { BellyTexture }
}